Place family based on location linked nested element

@kleinnagelvoort ,

i found a old topic:

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

element = UnwrapElement(IN[0])

loc = element.Location
if isinstance(loc, LocationPoint):
	rvtPoint = loc.Point
	protoPoint = rvtPt.ToPoint()

OUT = loc

it works for one element. and the point is missing but you have a location

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

element = UnwrapElement(IN[0])

loc = element.Location
locs = []

def locorign(x):
	if isinstance(loc, LocationPoint):
		rvtPoint = loc.Point
		protoPoint = rvtPt.ToPoint()
	
for i in element:
	locs.append(locorign(i))
	
OUT = locs, loc


Thats not working, but in this way it can run, maybe it is posible to convert the orgin to a point